Package com.xebialabs.xlrelease.serialization.json.jackson

## Class CiSerializer

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonSerializer<ConfigurationItem>
  - - com.xebialabs.xlrelease.serialization.json.jackson.CiSerializer

- All Implemented Interfaces:
    `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitable`

      public class CiSerializer
      extends com.fasterxml.jackson.databind.JsonSerializer<ConfigurationItem>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonSerializer

      `com.fasterxml.jackson.databind.JsonSerializer.None`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CiSerializer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `serialize​(ConfigurationItem ci, com.fasterxml.jackson.core.JsonGenerator jsonGenerator, com.fasterxml.jackson.databind.SerializerProvider provider)` |

    - ### Methods inherited from class com.fasterxml.jackson.databind.JsonSerializer

      `acceptJsonFormatVisitor, getDelegatee, handledType, isEmpty, isEmpty, isUnwrappingSerializer, properties, replaceDelegatee, serializeWithType, unwrappingSerializer, usesObjectId, withFilterId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CiSerializer

          public CiSerializer()

  - ### Method Detail

    - #### serialize

          public void serialize​(ConfigurationItem ci,
                                com.fasterxml.jackson.core.JsonGenerator jsonGenerator,
                                com.fasterxml.jackson.databind.SerializerProvider provider)
                         throws java.io.IOException

      Specified by:
        `serialize` in class `com.fasterxml.jackson.databind.JsonSerializer<ConfigurationItem>`
      Throws:
        `java.io.IOException`